%global srcname pynetbox

Name:           python-%{srcname}
Version:        5.3.1
Release:        1%{?dist}
Summary:        Python API client library for Netbox

License:        ASL 2.0
URL:            https://github.com/digitalocean/pynetbox
Source:         %{pypi_source}

BuildArch:      noarch

%global _description \
%{summary}.

%description %{_description}

%package     -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(pytest)
BuildRequires:  (python3dist(requests) >= 2.20 with python3dist(requests) < 3)
BuildRequires:  (python3dist(six) >= 1 with python3dist(six) < 2)

%description -n python3-%{srcname} %{_description}

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version} -p1
rm -vr *.egg-info
sed -i -e "s/six==1\.\*/six>=1.0,<2.0/" setup.py

%build
%py3_build

%install
%py3_install

%check
%python3 -m pytest

%files -n python3-%{srcname}
%license LICENSE
%doc README.md CHANGELOG.md
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info/

%changelog
* Wed Jan 20 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 5.3.1-1
- Update to 5.3.1

* Tue Jan 05 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 5.3.0-1
- Update to 5.3.0

* Wed Dec 30 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 5.2.0-1
- Update to 5.2.0

* Fri Dec 25 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 5.1.2-1
- Update to 5.1.2

* Thu Oct 29 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 5.1.0-1
- Update to 5.1.0

* Wed Sep 02 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 5.0.8-1
- Update to 5.0.8

* Mon Apr 06 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 4.3.1-1
- Initial package
